Leads
For authentication instructions, see API overview.
Endpoints
List all leads
Returns a list of leads. The leads are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/leadsResponse
No response schemaCreate lead
Create lead. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
leadInformationobjectcustomerstringunitIdstringleadOwnerstringtaskIdstringpromoIdstringleadTypestringleadSourcestringstatusstringleadRatingintegerhistoryarrayactivityLogarrayleadDescriptionstringnotesarraydocumentsarrayidengagerRequestIdstring
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/leads \ -d 'leadInformation="object"' \ -d 'customer="63a5b84c53e1218321c55572"' \ -d 'unitId="63fdbdf3f41212bf5d749105"' \ -d 'leadOwner="6429779bb76319ffe64832d9"' \ -d 'taskId="6391eec6049e9c361e5801fe"' \ -d 'promoId="promo123"' \ -d 'leadType="new"' \ -d 'leadSource="website"' \ -d 'status="active"' \ -d 'leadRating=4' \ -d 'history=[]' \ -d 'activityLog=[{"activityNumber":"1","activity":"Email sent","activityDate":"2023-04-19","logs":"Email sent to johndoe@example.com"}]' \ -d 'leadDescription="Interested in purchasing a new property"' \ -d 'notes=["Follow up next week","Send brochure"]' \ -d 'documents=[{"uploadDate":"2023-04-18","fileUrl":"https://example.com/docs/doc1.pdf"},{"uploadDate":"2023-04-19","fileUrl":"https://example.com/docs/doc2.pdf"}]' \ -d 'idengagerRequestId="request123"'Response
No response schemaRetrieve lead
Returns a single lea, which you can request by passing through an id in the url.
Path parameters
idstringID of the lead
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/leads/:idResponse
No response schemaUpdate lead
Path parameters
idstringID of the lead
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/leads/:idResponse
No response schemaUpdate lead soft
Update lead soft by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the lead
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/leads/:idResponse
No response schemaCreate lead
Create lead. You need to pass through any required fields, and you can optionally pass through other fields.
Path parameters
idstringID of the lead
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/leads/:id/convertResponse
No response schemaDelete lead
Path parameters
idstringID of the lead
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/leads/deleted/:idResponse
No response schemaCreate lead note
Create lead note. You need to pass through any required fields, and you can optionally pass through other fields.
Path parameters
leadidstringID of the lead
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/leads/:leadid/notesResponse
No response schemaUpdate lead note
Path parameters
leadidstringID of the lead
noteidstringID of the note
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/leads/:leadid/notes/:noteidResponse
No response schemaDelete lead note
Path parameters
leadidstringID of the lead
noteidstringID of the note
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/leads/:leadid/notes/:noteidResponse
No response schemaCreate lead activity
Create lead activity. You need to pass through any required fields, and you can optionally pass through other fields.
Path parameters
leadidstringID of the lead
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/leads/:leadid/activitiesResponse
No response schemaUpdate lead activity
Path parameters
leadidstringID of the lead
activityIdstringID of the activity
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/leads/:leadid/activities/:activityIdResponse
No response schemaDelete lead activity
Path parameters
leadidstringID of the lead
activityIdstringID of the activity
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/leads/:leadid/activities/:activityId